Community Webseite Heroic Forum
Dofus 2.0 MAC Client
 Bratwurstchen
Mitglied Mufafah-Reiter
**
Beitrag 21 Okt 2009, 18:40 | #1
Dofus 2.0 MAC Client
ZITAT
Hallo nochmal,

es gibt jetzt auch eine Version des Cliens für MacOS X

Bei dieser Version gilt es folgendes zu beachten:

* Der Client läuft nur unter X ab der Version 10.4
* Computer mit einem PowerPC-Prozessor werden nicht unterstützt.
* Es wird empfohlen, vor der Installation des Clients alle Updates von MacOS X vorzunehmen.

lg

<Mark-E>


Und für PPC Prozessoren? DANKE, echt! Falls es keine .zip Version gibt, kann ich einpacken. Wie würde es mit Programmcode aussehen? Kompilieren?

DANKE! -.-


Hab grad die Linux Datei geöffnet: (Schenit der Sourcecode zu sein )
:

QUELLTEXT
#!/bin/sh
# This script was generated using Makeself 2.1.5

CRCsum="768140369"
MD5="794ff2c8122b47bed8bd32411a811fd5"
TMPROOT=${TMPDIR:=/tmp}

label="DofusOnline"
script="./DofusInstall.sh"
scriptargs=""
targetdir="dofus2_linux_installer_qKxSAWMy"
filesizes="3477404"
keep=n

print_cmd_arg=""
if type printf > /dev/null; then
    print_cmd="printf"
elif test -x /usr/ucb/echo; then
    print_cmd="/usr/ucb/echo"
else
    print_cmd="echo"
fi

unset CDPATH

MS_Printf()
{
    $print_cmd $print_cmd_arg "$1"
}

MS_Progress()
{
    while read a; do
    MS_Printf .
    done
}

MS_diskspace()
{
    (
    if test -d /usr/xpg4/bin; then
        PATH=/usr/xpg4/bin:$PATH
    fi
    df -kP "$1" | tail -1 | awk '{print $4}'
    )
}

MS_dd()
{
    blocks=`expr $3 / 1024`
    bytes=`expr $3 % 1024`
    dd if="$1" ibs=$2 skip=1 obs=1024 conv=sync 2> /dev/null | \
    { test $blocks -gt 0 && dd ibs=1024 obs=1024 count=$blocks; \
      test $bytes  -gt 0 && dd ibs=1 obs=1024 count=$bytes; } 2> /dev/null
}

MS_Help()
{
    cat << EOH >&2
Makeself version 2.1.5
1) Getting help or info about $0 :
  $0 --help   Print this message
  $0 --info   Print embedded info : title, default target directory, embedded script ...
  $0 --lsm    Print embedded lsm entry (or no LSM)
  $0 --list   Print the list of files in the archive
  $0 --check  Checks integrity of the archive

2) Running $0 :
  $0 [options] [--] [additional arguments to embedded script]
  with following options (in that order)
  --confirm             Ask before running embedded script
  --noexec              Do not run embedded script
  --keep                Do not erase target directory after running
            the embedded script
  --nox11               Do not spawn an xterm
  --nochown             Do not give the extracted files to the current user
  --target NewDirectory Extract in NewDirectory
  --tar arg1 [arg2 ...] Access the contents of the archive through the tar command
  --                    Following arguments will be passed to the embedded script
EOH
}

MS_Check()
{
    OLD_PATH="$PATH"
    PATH=${GUESS_MD5_PATH:-"$OLD_PATH:/bin:/usr/bin:/sbin:/usr/local/ssl/bin:/usr/local/bin:/opt/openssl/bin"}
    MD5_ARG=""
    MD5_PATH=`exec <&- 2>&-; which md5sum || type md5sum`
    test -x "$MD5_PATH" || MD5_PATH=`exec <&- 2>&-; which md5 || type md5`
    test -x "$MD5_PATH" || MD5_PATH=`exec <&- 2>&-; which digest || type digest`
    PATH="$OLD_PATH"

    MS_Printf "Verifying archive integrity..."
    offset=`head -n 402 "$1" | wc -c | tr -d " "`
    verb=$2
    i=1
    for s in $filesizes
    do
        crc=`echo $CRCsum | cut -d" " -f$i`
        if test -x "$MD5_PATH"; then
            if test `basename $MD5_PATH` = digest; then
                MD5_ARG="-a md5"
            fi
            md5=`echo $MD5 | cut -d" " -f$i`
            if test $md5 = "00000000000000000000000000000000"; then
                test x$verb = xy && echo " $1 does not contain an embedded MD5 checksum." >&2
            else
                md5sum=`MS_dd "$1" $offset $s | eval "$MD5_PATH $MD5_ARG" | cut -b-32`;
                if test "$md5sum" != "$md5"; then
                    echo "Error in MD5 checksums: $md5sum is different from $md5" >&2
                    exit 2
                else
                    test x$verb = xy && MS_Printf " MD5 checksums are OK." >&2
                fi
                crc="0000000000"; verb=n
            fi
        fi
        if test $crc = "0000000000"; then
            test x$verb = xy && echo " $1 does not contain a CRC checksum." >&2
        else
            sum1=`MS_dd "$1" $offset $s | CMD_ENV=xpg4 cksum | awk '{print $1}'`
            if test "$sum1" = "$crc"; then
                test x$verb = xy && MS_Printf " CRC checksums are OK." >&2
            else
                echo "Error in checksums: $sum1 is different from $crc"
                exit 2;
            fi
        fi
        i=`expr $i + 1`
        offset=`expr $offset + $s`
    done
    echo " All good."
}

UnTAR()
{
    tar $1vf - 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 $$; }
}

finish=true
xterm_loop=
nox11=n
copy=none
ownership=y
verbose=n

initargs="$@"

while true
do
    case "$1" in
    -h | --help)
    MS_Help
    exit 0
;;
    --info)
    echo Identification: "$label"
    echo Target directory: "$targetdir"
    echo Uncompressed size: 8484 KB
    echo Compression: bzip2
    echo Date of packaging: Tue Oct 20 11:27:18 CEST 2009
    echo Built with Makeself version 2.1.5 on
    echo Build command was: "/usr/bin/makeself \\
    \"--bzip2\" \\
    \"/tmp/dofus2_linux_installer_qKxSAWMy\" \\
    \"/home/mdoison/tmp/DofusBeta.run\" \\
    \"DofusOnline\" \\
    \"./DofusInstall.sh\""
    if test x$script != x; then
        echo Script run after extraction:
        echo "    " $script $scriptargs
    fi
    if test x"" = xcopy; then
        echo "Archive will copy itself to a temporary location"
    fi
    if test x"n" = xy; then
        echo "directory $targetdir is permanent"
    else
        echo "$targetdir will be removed after extraction"
    fi
    exit 0
;;
    --dumpconf)
    echo LABEL=\"$label\"
    echo SCRIPT=\"$script\"
    echo SCRIPTARGS=\"$scriptargs\"
    echo archdirname=\"dofus2_linux_installer_qKxSAWMy\"
    echo KEEP=n
    echo COMPRESS=bzip2
    echo filesizes=\"$filesizes\"
    echo CRCsum=\"$CRCsum\"
    echo MD5sum=\"$MD5\"
    echo OLDUSIZE=8484
    echo OLDSKIP=403
    exit 0
;;
    --lsm)
cat << EOLSM
No LSM.
EOLSM
    exit 0
;;
    --list)
    echo Target directory: $targetdir
    offset=`head -n 402 "$0" | wc -c | tr -d " "`
    for s in $filesizes
    do
        MS_dd "$0" $offset $s | eval "bzip2 -d" | UnTAR t
        offset=`expr $offset + $s`
    done
    exit 0
;;
    --tar)
    offset=`head -n 402 "$0" | wc -c | tr -d " "`
    arg1="$2"
    shift 2
    for s in $filesizes
    do
        MS_dd "$0" $offset $s | eval "bzip2 -d" | tar "$arg1" - $*
        offset=`expr $offset + $s`
    done
    exit 0
;;
    --check)
    MS_Check "$0" y
    exit 0
;;
    --confirm)
    verbose=y
    shift
;;
    --noexec)
    script=""
    shift
;;
    --keep)
    keep=y
    shift
;;
    --target)
    keep=y
    targetdir=${2:-.}
    shift 2
;;
    --nox11)
    nox11=y
    shift
;;
    --nochown)
    ownership=n
    shift
;;
    --xwin)
    finish="echo Press Return to close this window...; read junk"
    xterm_loop=1
    shift
;;
    --phase2)
    copy=phase2
    shift
;;
    --)
    shift
    break;;
    -*)
    echo Unrecognized flag : "$1" >&2
    MS_Help
    exit 1
;;
    *)
    break;;
    esac
done

case "$copy" in
copy)
    tmpdir=$TMPROOT/makeself.$RANDOM.`date +"%y%m%d%H%M%S"`.$$
    mkdir "$tmpdir" || {
    echo "Could not create temporary directory $tmpdir" >&2
    exit 1
    }
    SCRIPT_COPY="$tmpdir/makeself"
    echo "Copying to a temporary location..." >&2
    cp "$0" "$SCRIPT_COPY"
    chmod +x "$SCRIPT_COPY"
    cd "$TMPROOT"
    exec "$SCRIPT_COPY" --phase2 -- $initargs
   ;;
phase2)
    finish="$finish; rm -rf `dirname $0`"
   ;;
esac

if test "$nox11" = "n"; then
    if tty -s; then                 # Do we have a terminal?
    :
    else
        if test x"$DISPLAY" != x -a x"$xterm_loop" = x; then  # No, but do we have X?
            if xset q > /dev/null 2>&1; then # Check for valid DISPLAY variable
                GUESS_XTERMS="xterm rxvt dtterm eterm Eterm kvt konsole aterm"
                for a in $GUESS_XTERMS; do
                    if type $a >/dev/null 2>&1; then
                        XTERM=$a
                        break
                    fi
                done
                chmod a+x $0 || echo Please add execution rights on $0
                if test `echo "$0" | cut -c1` = "/"; then # Spawn a terminal!
                    exec $XTERM -title "$label" -e "$0" --xwin "$initargs"
                else
                    exec $XTERM -title "$label" -e "./$0" --xwin "$initargs"
                fi
            fi
        fi
    fi
fi

if test "$targetdir" = "."; then
    tmpdir="."
else
    if test "$keep" = y; then
    echo "Creating directory $targetdir" >&2
    tmpdir="$targetdir"
    dashp="-p"
    else
    tmpdir="$TMPROOT/selfgz$$$RANDOM"
    dashp=""
    fi
    mkdir $dashp $tmpdir || {
    echo 'Cannot create target directory' $tmpdir >&2
    echo 'You should try option --target OtherDirectory' >&2
    eval $finish
    exit 1
    }
fi

location="`pwd`"
if test x$SETUP_NOCHECK != x1; then
    MS_Check "$0"
fi
offset=`head -n 402 "$0" | wc -c | tr -d " "`

if test x"$verbose" = xy; then
    MS_Printf "About to extract 8484 KB in $tmpdir ... Proceed ? [Y/n] "
    read yn
    if test x"$yn" = xn; then
        eval $finish; exit 1
    fi
fi

MS_Printf "Uncompressing $label"
res=3
if test "$keep" = n; then
    trap 'echo Signal caught, cleaning up >&2; cd $TMPROOT; /bin/rm -rf $tmpdir; eval $finish; exit 15' 1 2 3 15
fi

leftspace=`MS_diskspace $tmpdir`
if test $leftspace -lt 8484; then
    echo
    echo "Not enough space left in "`dirname $tmpdir`" ($leftspace KB) to decompress $0 (8484 KB)" >&2
    if test "$keep" = n; then
        echo "Consider setting TMPDIR to a directory with more free space."
   fi
    eval $finish; exit 1
fi

for s in $filesizes
do
    if MS_dd "$0" $offset $s | eval "bzip2 -d" | ( cd "$tmpdir"; UnTAR x ) | MS_Progress; then
        if test x"$ownership" = xy; then
            (PATH=/usr/xpg4/bin:$PATH; cd "$tmpdir"; chown -R `id -u` .;  chgrp -R `id -g` .)
        fi
    else
        echo
        echo "Unable to decompress $0" >&2
        eval $finish; exit 1
    fi
    offset=`expr $offset + $s`
done
echo

cd "$tmpdir"
res=0
if test x"$script" != x; then
    if test x"$verbose" = xy; then
        MS_Printf "OK to execute: $script $scriptargs $* ? [Y/n] "
        read yn
        if test x"$yn" = x -o x"$yn" = xy -o x"$yn" = xY; then
            eval $script $scriptargs $*; res=$?;
        fi
    else
        eval $script $scriptargs $*; res=$?
    fi
    if test $res -ne 0; then
        test x"$verbose" = xy && echo "The program '$script' returned an error code ($res)" >&2
    fi
fi
if test "$keep" = n; then
    cd $TMPROOT
    /bin/rm -rf $tmpdir
fi
eval $finish; exit $res


Der Beitrag wurde von Bratwurstchen bearbeitet: 21 Okt 2009, 18:50
Go to the top of the page  
 
    +  Quote Post
 
Start new topic
Antworten (1 - 9)
 Bratwurstchen
Mitglied Mufafah-Reiter
**
Beitrag 22 Okt 2009, 10:03 | #2
Sorry fuer den Doppelpost ;_;)

Aber koennte man denn den Programmcode unter einer Lizenz zur verfuegung gestellt bekommen?
Go to the top of the page  
 
    +  Quote Post
 zeehaa
Mitglied Mufafah-Reiter
**
Beitrag 22 Okt 2009, 18:07 | #3
Die Datei die du als Sourcecode bezeichnest ist ein Script für die Bash unter Linux.
Es sorgt dafür, dass der Client, Uplauncher, AIR usw. auf den Rechner geladen und installiert werden.

Unter Mac wird dir das Script sicher nicht viel nutzen, warte einfach eine Weile, bis auch PPC Prozis unterstützt werden.
Selbst unter Linux gibt es das Problem, dass das Script nicht auf allen Distributionen lauffähig ist.

MfG Cirrus

Der Beitrag wurde von zeehaa bearbeitet: 22 Okt 2009, 18:46
Go to the top of the page  
 
    +  Quote Post
 Bratwurstchen
Mitglied Mufafah-Reiter
**
Beitrag 29 Okt 2009, 15:08 | #4
Gibt es denn mal ein Statement von offizieller Art hier?

Wird es eine gezippte Version geben? Minmales Flash? PPC Mac Version? Hallo?!

Waere zudem eh einfacher gewesen fuer PPC zu schreiben, Rosetta ftw.
Go to the top of the page  
 
    +  Quote Post
 Bratwurstchen
Mitglied Mufafah-Reiter
**
Beitrag 3 Nov 2009, 19:51 | #5
Ich werde nicht locker lassen, bis ich eine offizielle Antwort erhalten werde!
Die Fragen stehen einen Post drüber...


DANKE
Go to the top of the page  
 
    +  Quote Post
 Bratwurstchen
Mitglied Mufafah-Reiter
**
Beitrag 5 Nov 2009, 22:34 | #6
Taeglich gruesst das Murmeltier!

Sag mal Mark-E, ist es denn ZU VIEL verlangt, einmal nachzufragen und hier zu antworten?


Es waere jedenfalls sehr nett.
Go to the top of the page  
 
    +  Quote Post
 OrvilleKR
Forumsmoderator Kuhloss-Ersticker
****
Beitrag 5 Nov 2009, 23:24 | #7
Unterlass das dauerposten und editiere deine Beiträge. Ansonsten schliesse ich hier.


<OrvilleKR>
Go to the top of the page  
 
    +  Quote Post
 DieSchwarzeRo...
Mitglied Fresssack-Züchter
*
Beitrag 6 Nov 2009, 00:08 | #8
Is doch verständlich dass er sich aufregt wenn er keine Antwort bekommt. Is ja nicht grad so als hätte er die Posts im fünf Minutentakt geschrieben.
Go to the top of the page  
 
    +  Quote Post
 Mark-E
Community Manager Royal Tofu - Rupfer
***
Beitrag 6 Nov 2009, 15:05 | #9
Hallo,

nach meinen Informationen gibt es zur Zeit noch keine Zip-Datei der Version 2.0 für Mac. Darüber hinaus werde ich sobald ich von der Existenz einer Zip-Datei für Mac erfahre, die entsprechenden Informationen am richtigen Ort (nämlich hier) bekanntgeben.

lg

<Mark-E>
Go to the top of the page  
 
    +  Quote Post
 Bratwurstchen
Mitglied Mufafah-Reiter
**
Beitrag 6 Nov 2009, 21:09 | #10
Mir geht es generell um eine ZIP Datei, also mit HTML und der .SWF Datei. Der Ordner also, den man auf "jedem" System zum laufen bringt.
Go to the top of the page  
 
    +  Quote Post
  Reply to this topic

 

Vereinfachte Darstellung Aktuelles Datum: 24 November 2009, 06:06